import { Base64 } from '../models/Base64';
export declare class Crumb {
    encrypted: Base64;
    index: number;
    length: number;
    constructor(encrypted: Base64, index: number, length: number);
    equals(otherCrumb: Crumb): boolean;
    toString(): string;
}
export declare const toCrumb: (unparsed: string) => Crumb;
export declare const parseCrumb: (unparsed: string) => [number, number, string];
//# sourceMappingURL=Crumb.d.ts.map