"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the seed specific to the passed data
 *
 * @param data the string to use as source for the seed
 */
exports.seedFor = (data) => Array.from(data)
    .map(char => char.charCodeAt(0))
    .reduce((sum, code) => sum + code, 0)
    .toString();
