import { Signer } from '../models/Signer';
export declare const VERSION = "1";
export declare class Crumbl {
    source: string;
    hashEngine: string;
    owners: [Signer, ...Array<Signer>];
    trustees: [Signer, ...Array<Signer>];
    private padder;
    private cipher;
    constructor(source: string, hashEngine: string, owners: [Signer, ...Array<Signer>], trustees: [Signer, ...Array<Signer>]);
    process(): Promise<string>;
    toHTML(element: HTMLElement): Promise<string>;
    private doCrumbl;
}
//# sourceMappingURL=Crumbl.d.ts.map